using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Resource
{
    /// <summary>
    /// 三字码资料表
    /// </summary>
    [SugarTable("Res_ThreeCode")]
    public class Res_ThreeCode:EntityBase
    {
        /// <summary>
        /// 三字码
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(20)")]
        public string Three { get; set; }
        /// <summary>
        /// 四字码
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(20)")]
        public string Four { get; set; }
        /// <summary>
        /// 国家
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string Country { get; set; }
        /// <summary>
        /// 城市
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string City { get; set; }
        /// <summary>
        /// 机场
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string AirPort { get; set; }
        /// <summary>
        /// 机场英文名
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string AirPort_En { get; set; }
    }
}
